#!/bin/sh
# Oxygen Startup script
# (c) 2006 Syncro Soft Ltd.
echo Script file for generating XML Schema documentation
echo using oXygen XML Editor schema documentation generator.

# Resolve the location of the oxygen installation.
# This includes resolving any symlinks.
PRG=$0
while [ -h "$PRG" ]; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '^.*-> \(.*\)$' 2>/dev/null`
    if expr "$link" : '^/' 2> /dev/null >/dev/null; then
        PRG="$link"
    else
        PRG="`dirname "$PRG"`/$link"
    fi
done

OXYGEN_HOME=`dirname "$PRG"`

# Absolutize dir
oldpwd=`pwd`
cd "${OXYGEN_HOME}"; OXYGEN_HOME=`pwd`
cd "${oldpwd}"; unset oldpwd

# Classpath
CP=$OXYGEN_HOME:$OXYGEN_HOME/classes:$OXYGEN_HOME/lib/oxygen.jar:$OXYGEN_HOME/lib/fop.jar:$OXYGEN_HOME/lib/xercesImpl.jar:$OXYGEN_HOME/lib/saxon9ee.jar:$OXYGEN_HOME/lib/log4j.jar:$OXYGEN_HOME/lib/resolver.jar:$OXYGEN_HOME/lib/org.eclipse.emf.common_2.4.0.v200806091234.jar:$OXYGEN_HOME/lib/org.eclipse.emf.ecore_2.4.0.v200806091234.jar:$OXYGEN_HOME/lib/org.eclipse.emf.edit_2.4.0.v200806091234.jar

OXYGEN_JAVA=java
if [ -f "${OXYGEN_HOME}/jre/bin/java" ]
then
  OXYGEN_JAVA="${OXYGEN_HOME}/jre/bin/java"
fi

# generates documentation
"${OXYGEN_JAVA}" -cp "$CP" -Djava.awt.headless=true ro.sync.xsd.documentation.XSDSchemaDocumentationGenerator "$@"
 
RETCODE=$?
if [ "$RETCODE" -ne "0" ]; then
echo "Documentation generation did not succeed, return code "$RETCODE
exit 1
fi